%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:	Lowlevel DNS(SEC) library with API
Name:		ldns
Version:	1.6.4
Release:	%mkrel 2
License:	BSD
Group:		System/Libraries
URL:		http://www.nlnetlabs.nl/ldns/
Source0:	http://www.nlnetlabs.nl/downloads/ldns/ldns-%{version}.tar.gz
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	doxygen
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
ldns is a library with the aim to simplify DNS programing in C. All
lowlevel DNS/DNSSEC operations are supported. We also define a higher
level API which allows a programmer to (for instance) create or sign
packets.

%package -n	%{libname}
Summary:	Lowlevel DNS(SEC) library with API
Group:		System/Libraries

%description -n	%{libname}
ldns is a library with the aim to simplify DNS programing in C. All
lowlevel DNS/DNSSEC operations are supported. We also define a higher
level API which allows a programmer to (for instance) create or sign
packets.

%package -n	%{develname}
Summary:	Development package that includes the ldns header files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The devel package contains the ldns library and the include files

%prep
%setup -q

%build
%configure2_5x \
    --disable-rpath

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't package building script in doc
rm doc/doxyparse.pl

#remove doc stubs
rm -rf doc/.svn

#remove double set of man pages
rm -rf doc/man

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc README LICENSE 
%{_libdir}/lib*so.%{major}*

%files -n %{develname}
%defattr(-,root,root,-)
%doc doc Changelog README
%dir %{_includedir}/ldns
%{_includedir}/ldns/*
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_mandir}/man3/*
%{_bindir}/%{name}-config


%changelog
* Tue Apr 20 2010 Funda Wang <fwang@mandriva.org> 1.6.4-2mdv2010.1
+ Revision: 536962
- rebuild

* Tue Mar 02 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.6.4-1mdv2010.1
+ Revision: 513634
- update to 1.6.4

* Fri Jul 31 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.0-1mdv2010.0
+ Revision: 405233
- Update to new version 1.6.0

* Thu Mar 26 2009 Oden Eriksson <oeriksson@mandriva.com> 1.5.1-1mdv2009.1
+ Revision: 361325
- 1.5.1 (fixes CVE-2009-1086)

* Mon Dec 08 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-0.20081103.1mdv2009.1
+ Revision: 311881
- 1.4.0 (from unbound-1.1.1.tar.gz)

* Mon Dec 08 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-4mdv2009.1
+ Revision: 311861
- 1.3.0 (final)

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.3.0-3.20080229.2mdv2009.0
+ Revision: 267800
- rebuild early 2009.0 package (before pixel changes)

* Fri May 30 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-0.20080229.2mdv2009.0
+ Revision: 213295
- fix deps

* Thu May 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-0.20080229.1mdv2009.0
+ Revision: 213178
- import ldns


* Thu May 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-0..1mdv2009.0
- initial Mandriva package
